For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETDownload invoice PDF
      • GETGet invoice by id
      • GETRetrieve a payment breakdown
      • GETRetrieve Deel invoices
      • GETRetrieve invoices
      • GETRetrieve payment receipts
      • GETRetrieve refund statements
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsAccounting

Retrieve invoices

GET
/invoices
GET
/rest/v2/invoices
$curl -G https://api.letsdeel.com/rest/v2/invoices \
> -H "Authorization: Bearer <token>" \
> -d issued_from_date=2022-05-24 \
> -d issued_to_date=2022-05-24 \
> -d status=all \
> -d limit=10 \
> -d offset=0 \
> -d cursor=GqaY5BHQJUAM2Jg9kq2j2 \
> -d include=cor
1{
2 "data": [
3 {
4 "id": "GqaY5BHQJUAM2Jg9kq2j2",
5 "label": "INV-2023-4",
6 "total": "1000",
7 "status": "paid",
8 "vat_id": "123456789",
9 "paid_at": "2022-05-24T09:38:46.235Z",
10 "currency": "GBP",
11 "due_date": "2022-05-24T09:38:46.235Z",
12 "issued_at": "2022-05-24T09:38:46.235Z",
13 "vat_total": "210",
14 "created_at": "2022-05-24T09:38:46.235Z",
15 "is_overdue": true,
16 "contract_id": "37nex2x",
17 "vat_percentage": "21",
18 "amount": "1000",
19 "deel_fee": "10",
20 "recipient_legal_entity_id": "2c275e07-4846-490e-b2e4-6e84139032c3"
21 }
22 ],
23 "page": {
24 "offset": 0,
25 "total_rows": 500,
26 "items_per_page": 10,
27 "cursor": "GqaY5BHQJUAM2Jg9kq2j2"
28 }
29}

Returns a paginated list of invoices; by default only paid invoices are returned, but passing status=all returns invoices in all statuses. Supports both offset- and cursor-based pagination. Token scopes: accounting:read

Was this page helpful?
Previous

Retrieve payment receipts

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

issued_from_datestringOptional
Filter invoices issued on or after the specified date.
issued_to_datestringOptional
Filter invoices issued before the specified date.
statusenumOptional
If status query has value of all, all invoices will be returned. Otherwise only paid invoices will be fetched.
Allowed values:
limitdoubleOptional1-50Defaults to 25
Number of records to retrieve per page.
offsetlongOptionalDefaults to 0
Index of the first record to return.
cursorstringOptional
Return next page of results after the given cursor.
includeenumOptional
Will include invoices from COR workers in the response.
Allowed values:

Response

Successful operation.
datalist of objects
pageobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/